summaryrefslogtreecommitdiffstats
path: root/test/ptest
diff options
context:
space:
mode:
Diffstat (limited to 'test/ptest')
-rw-r--r--test/ptest31
1 files changed, 31 insertions, 0 deletions
diff --git a/test/ptest b/test/ptest
new file mode 100644
index 0000000..7deccd3
--- /dev/null
+++ b/test/ptest
@@ -0,0 +1,31 @@
+#!/bin/sh
+mkdir -p results
+if [ -f /usr/ucb/touch ] ; then
+ TOUCH=/usr/ucb/touch
+else
+ if [ -f /usr/bin/touch ] ; then
+ TOUCH=/usr/bin/touch
+ else
+ if [ -f /bin/touch ] ; then
+ TOUCH=/bin/touch
+ fi
+ fi
+fi
+echo "$1...";
+/bin/cp /dev/null results/$1
+if [ -f regress/$1.pool ] ; then
+ ../ipftest -RD -b -P regress/$1.pool -r regress/$1.ipf -i input/$1 >> \
+ results/$1
+else
+ ../ipftest -RD -b -r regress/$1.ipf -i input/$1 >> results/$1
+fi
+if [ $? -ne 0 ] ; then
+ exit 1;
+fi
+echo "-------------------------------" >> results/$1
+cmp expected/$1 results/$1
+status=$?
+if [ $status = 0 ] ; then
+ $TOUCH $1
+fi
+exit $status
OpenPOWER on IntegriCloud